/** -------------------------------------------------- 
 * Hochschule fuer Technik Stuttgart 
 * Fachbereich Vermessung , Informatik und Mathematik 
 * Schellingstr . 24 
 * D - 70174 Stuttgart 
 * 
 * Projekt CityDoktor 
 * 
 * Copyright (c) 2011 HFT Stuttgart. All rights reserved. 
 * HFT Stuttgart and its licensors retain all intellectual property and 
 * proprietary rights in and to this software and related documentation. 
 * Any use, reproduction, disclosure, or distribution of this software 
 * and related documentation without an express license agreement from 
 * HFT Stuttgart is strictly prohibited. 
 * 
 * Please refer to the applicable HFT Stuttgart end user license agreement (EULA) 
 * associated with this source code for terms and conditions that govern 
 * your use of this HFT Stuttgart software. 
 * 
 * @author PiR
 * @version 1.0
 * created: 17.12.2017
 */


package de.hft.stuttgart.citydoctor2.gui;

import java.util.Locale;
import java.util.MissingResourceException;
import java.util.ResourceBundle;

/**
 * Diese Klasse ermoeglicht den Zugriff auf das ResourceBundle mit den
 * lokalisierten Strings.
 * 
 */
public class CDAutoProGuiMessages {
	private static final String BUNDLE_NAME = "de.hft.stuttgart.citydoctor2.gui.cdautoproguimessages"; //$NON-NLS-1$
	
	private CDAutoProGuiMessages() {
	}
	
	/**
	 * Diese Methode laedt einen String aus dem ResourceBundle.
	 * 
	 * @param key der Schluessel des Strings
	 * @return der String
	 */
	public static String getString(String key) {
		ResourceBundle RESOURCE_BUNDLE = ResourceBundle
				.getBundle(BUNDLE_NAME, Locale.getDefault());
		try {
			return RESOURCE_BUNDLE.getString(key);
		} catch (MissingResourceException e) {
			return '!' + key + '!';
		}
	}
}
